;;; .doom.d/config.el -*- lexical-binding: t; -*-

;; Place your private configuration here
;;
;; Set Font and theme
(setq doom-font (font-spec :family "Iosevka" :size 16))
(setq doom-theme 'doom-city-lights)
;; Start maximized
(add-to-list 'default-frame-alist '(fullscreen . maximized))
;; Set projects directories
(setq projectile-project-search-path '("~/Sync/Projects"))
;; Close compilation buffer if it went well
(setq compilation-finish-function
  (lambda (buf str)
    (if (null (string-match ".*exited abnormally.*" str))
        (progn
          (run-at-time
            "1 sec" nil 'delete-windows-on
            (get-buffer-create "*compilation*"))
          (message "No Compilation Errors!")))))
; Auto cleanup recentf
(setq recentf-auto-cleanup 180)
; Save backup files to ~/.cache and autosave files to ~/.cache/emacs
(setq backup-directory-alist `(("." . "~/.cache")))
(setq auto-save-list-file-prefix
      (concat "~/.cache/emacs"))
